[DEFAULT]
debug = True
use_stderr = False
log_file = 

[auth]
use_dynamic_credentials = True
admin_username = tempest_cinder_cntt-user_94af2a25-46da-4af8-ab32-597b3164c677
admin_password = Y3#wj2I&j!jCA2w
admin_project_name = tempest_cinder_cnt-project_94af2a25-46da-4af8-ab32-597b3164c677
admin_domain_name = Default

[compute]
image_ref = d61a8e30-1a2b-47f7-a7a7-26d62b2552c7
image_ref_alt = 205866ff-f9a1-4196-85a1-ce071835fe46
flavor_ref = c820413d-a223-4f95-b850-a279b786e4e4
flavor_ref_alt = 82121ba7-06e6-49b4-a889-cd3def3ca64c
fixed_network_name = tempest_cinder_cntt-net_94af2a25-46da-4af8-ab32-597b3164c677
volume_device_name = sdb
min_compute_nodes = 2
endpoint_type = public
max_microversion = latest

[compute-feature-enabled]
live_migration = True
resize = True
vnc_console = True
attach_encrypted_volume = False
block_migration_for_live_migration = False
block_migrate_cinder_iscsi = False
change_password = False
cold_migration = True
config_drive = True
console_output = True
disk_config = True
enable_instance_password = True
interface_attach = True
live_migrate_back_and_forth = False
metadata_service = True
pause = True
personality = False
rdp_console = False
rescue = True
scheduler_available_filters = AvailabilityZoneFilter,ComputeFilter,ComputeCapabilitiesFilter,ImagePropertiesFilter,ServerGroupAntiAffinityFilter,ServerGroupAffinityFilter,SameHostFilter,DifferentHostFilter
serial_console = False
shelve = True
snapshot = True
spice_console = False
suspend = True
swap_volume = False
volume_backed_live_migration = False
volume_multiattach = False

[data-processing]
endpoint_type = public

[identity]
region = RegionOne
auth_version = v3
uri = http://172.30.12.85/identity/v2.0
uri_v3 = http://172.30.12.85/identity/v3
v2_endpoint_type = public
v3_endpoint_type = public
disable_ssl_certificate_validation = False
ca_certificates_file = 
admin_role = admin
default_domain_id = default
user_unique_last_password_count = 2
user_lockout_duration = 10
user_lockout_failure_attempts = 2

[identity-feature-enabled]
trust = True
api_v2 = False
api_v2_admin = False
security_compliance = True
federation = False
external_idp = False
project_tags = True
application_credentials = True

[image-feature-enabled]
deactivate_image = True
api_v2 = True
api_v1 = False

[input-scenario]
ssh_user_regex = [["^.*[Cc]irros.*$", "cirros"], ["^.*[Tt]est[VvMm].*$", "cirros"], ["^.*rally_verify.*$", "cirros"]]

[network]
public_network_id = 97c16431-4545-4994-9913-89f362d08453
floating_network_name = public
default_network = 192.168.120.0/24
project_network_cidr = 192.168.120.0/24
project_networks_reachable = False
endpoint_type = public

[network-feature-enabled]
ipv6_subnet_attributes = True
ipv6 = True
api_extensions = address-scope,agent,agent-resources-synced,allowed-address-pairs,auto-allocated-topology,availability_zone,availability_zone_filter,default-subnetpools,dhcp_agent_scheduler,dns-integration,dns-domain-ports,empty-string-filtering,external-net,extra_dhcp_opt,extraroute,fip-port-details,flavors,ip-substring-filtering,router,ext-gw-mode,multi-provider,net-mtu,net-mtu-writable,network_availability_zone,network-ip-availability,pagination,port-mac-address-regenerate,port-resource-request,binding,binding-extended,port-security,project-id,provider,qos,qos-bw-limit-direction,qos-bw-minimum-ingress,qos-default,qos-port-network-policy,qos-rule-type-details,qos-rules-alias,quotas,quota_details,rbac-policies,rbac-address-scope,rbac-security-groups,rbac-subnetpool,revision-if-match,standard-attr-revisions,port-security-groups-filtering,security-group,service-type,sorting,standard-attr-description,stateful-security-group,subnet-dns-publish-fixed-ip,subnet_onboard,subnet-service-types,subnet_allocation,subnetpool-prefix-ops,standard-attr-tag,standard-attr-timestamp,trunk,trunk-details
port_admin_state_change = True
port_security = True
floating_ips = True

[object-storage]
operator_role = member
reseller_admin_role = ResellerAdmin
endpoint_type = public

[oslo_concurrency]
lock_path = 

[orchestration]
instance_type = 
stack_owner_role = heat_stack_owner
stack_user_role = heat_stack_user
endpoint_type = public

[scenario]
img_dir = /home/opnfv/functest/images
img_file = cirros-0.4.0-x86_64-disk.img
img_disk_format = qcow2
img_properties = hw_scsi_model:virtio-scsi,hw_disk_bus:scsi

[service_available]
cinder = True
glance = True
heat = True
ironic = False
neutron = True
nova = True
sahara = False
swift = True

[validation]
run_validation = True
image_ssh_user = cirros
connect_method = floating

[volume-feature-enabled]
bootable = True
multi_backend = False
backup = True
snapshot = True
clone = True
manage_snapshot = True
manage_volume = True
extend_attached_volume = False
consistency_group = False
volume_revert = True

[volume]
endpoint_type = public
max_microversion = latest
storage_protocol = ceph
manage_volume_ref = source-name,volume-%s
manage_snapshot_ref = source-name,snapshot-%s

[image]
endpoint_type = public

[placement]
max_microversion = latest

[load_balancer]
test_with_noop = True

[neutron_plugin_options]
agent_availability_zone = nova
available_type_drivers = flat,geneve,vlan,local
provider_vlans = public,
create_shared_resources = True

[object-storage-feature-enabled]
discoverable_apis = account_quotas,formpost,bulk_upload,bulk_delete,tempurl,crossdomain,container_quotas,staticweb,account_quotas,slo
object_versioning = True
discoverability = True

[heat_plugin]
skip_scenario_test_list = AodhAlarmTest,SoftwareConfigIntegrationTest,VolumeBackupRestoreIntegrationTest
auth_version = 3

[heat_features_enabled]
multi_cloud = False

